html,body{
    background-color:white;
    margin:0;
    padding: 0;

}








nav{
    background-color:#ffffff;
    
}

nav ul{

    width:100%;
    list-style: none;
    display:flex;
    justify-content: flex-end;
    align-items:center;
    
}

nav li{
    height:50px;

}

nav a{
    font-size:20px ;
    height:100%;
    padding:0 30px;
    text-decoration: none;
    display: flex;
    align-items:center;
    color:rgb(0, 179, 68);
}

.my-heading{
    width:100%; /*this is where i styled my heading logo for the full web site*/
font-size: 27px;
font-weight: bold;
}
nav a:hover{
    background-color:#F2B50B;
    border-radius: 50px;
}


nav li:first-child{

    margin-right: auto;
    
   font-family: "Poppins", sans-serif;
   font-size:20px;
}

.side-bar{
    
    position:fixed;
    top:0;
    right:0;
    height:100vh;
    width:250px;
    z-index:999;
    background-color: #005f0270;
    backdrop-filter:blur(10px);
    box-shadow:-10px 0 10px rgba(0,0,0,0.1);
    display:none;
    flex-direction:column;
    align-items:flex-start;
    justify-content: flex-start;
    
}

.side-bar li{
    width:100%;
}

.side-bar a{
    color:white;

}

/*this is where the nav bar  ends from*/
/*this is where the nav bar  ends from*/


.banner{
    width:480px;
    height:145px;
    overflow:hidden;
        background-position: center;
}
.banner img{
    width:100%;
    height:145px;
    object-fit: cover;
    background-position: center;
    
    
}
/*this is where my styling for teas starts from*/
/*this is where my styling for teas starts from*/
/*this is where my styling for teas starts from*/
.product-teas{
    display :grid;
    grid-template-columns:repeat(2,1fr);/*2products per row*/
    gap:10px; /*space/gap between products*/
    padding:8px;
}
.product{
    background:white;
    padding:6px;
    text-align:center;
    display:flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.product img{
width:100%;
height:220px;        /*this is the styling for my tea IMAGES*/
object-fit:contain;
margin-bottom: 5px;
}

.price{
    font-size: 16px;
    color:red;
    font-weight:bold;
    margin:2px 0;
}
.old-price{
    text-decoration:line-through;
    color:gray;
    font-size: 12px;
    margin:2px 0 6px;
}

.order-whatsapp{
    width:140px;
    height:40px;
    object-fit:contain;
}

.product h4{
    font-size:15px;
    margin:6px 0 4px;
}

/*this is where my styling for teas ENDS from*/
/*this is where my styling for teas ENDS from*/

.menu-button{
display:none;

}

.popup{
    position:fixed;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    border:1px solid white;
    border-radius:10px;
    z-index:10000;
    background-color:white;
    width:800px;
    height: auto;
    padding-left:20px;
    display:none;
    justify-content:space-between;
    align-items:center;
}
.close{
    cursor: pointer;
}
span{
    position:fixed;
    top:1%;
    left:95%;
    font-size:30px;
    
}




.btn{
    color:white;
    background-color: red;
    height:36px;
    width:autopx;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 10px;
    padding-top: 10px;
    border:none;
    border-radius: 20px;
    font-weight: 700;
    cursor: pointer;
    font-size: 20px;
    text-decoration: none;
}

.btn:hover{
    background-color: white;
    color:red;

}



@media(max-width:800px){

    .hideOnMobile{
display: none;
    }

    .menu-button{
        display:block;
    }
    .popup{
    width:90%;
    max-width:300px;
    height: auto;
}

.popup h1{
    font-size: 30px;
}

.popup h2{
    font-size: 25px;
}
span{
    position:fixed;
    top:0%;
    left:90%;
    font-size:30px;
}

  .popup p{
    font-size:12px;
 }
  .popup ol{
    font-size:10px;
 }
}


@media(max-width:400px){
  .side-bar{
width:100%;
    }

}



